Overview
PATCH
/project/projects/{id}/statuses/{statusId}projectRename / recategorize / reorder a column (+ a status.updated activity)
Update fields of a record in statuses by id, statusId.
Auth: bearerAuth — calls run as the authenticated user.
Parameters
- idpathstring
- statusIdpathstring
Request body
application/json · optional
- labeloptionalstring
- categoryoptional"todo" | "in_progress" | "done"
- positionoptionalinteger
Example
{
"label": "string",
"category": "todo",
"position": 0
}Responses
200
Status
- idstring
- ecosystemIdstring
- projectIdstring
- keystring
stable identifier, unique within the project
- labelstring
- category"todo" | "in_progress" | "done"
- positioninteger
column order (ascending)
- createdAtstring
Example
{
"id": "string",
"ecosystemId": "string",
"projectId": "string",
"key": "string",
"label": "string",
"category": "todo",
"position": 0,
"createdAt": "string"
}400
Error
- erroroptionalobject
Example
{
"error": {
"message": "string",
"code": "string"
}
}401
Error
- erroroptionalobject
Example
{
"error": {
"message": "string",
"code": "string"
}
}404
Error
- erroroptionalobject
Example
{
"error": {
"message": "string",
"code": "string"
}
}Code examples
cURL
curl -X PATCH "https://api.agenticdeveloperhub.com/project/projects/{id}/statuses/{statusId}" \
-H "Authorization: Bearer YOUR_TOKEN" \
-H "Content-Type: application/json" \
-d '{
"label": "string",
"category": "todo",
"position": 0
}'JavaScript
const res = await fetch("https://api.agenticdeveloperhub.com/project/projects/{id}/statuses/{statusId}", {
method: "PATCH",
headers: {
"Authorization": "Bearer YOUR_TOKEN",
"Content-Type": "application/json"
},
body: "{\n \"label\": \"string\",\n \"category\": \"todo\",\n \"position\": 0\n}",
});
const data = await res.json();